package org.dromara.system.service;

import org.dromara.common.mybatis.core.page.PageQuery;
import org.dromara.common.mybatis.core.page.TableDataInfo;
import org.dromara.system.domain.score.bo.ScoreDataMfBo;
import org.dromara.system.domain.score.vo.ScoreDataMfVo;
import java.util.Collection;
import java.util.List;

/**
 * 成绩满分Service接口
 *
 * @author boman
 * @date 2023-08-22
 */
public interface IScoreDataMfService {

    /**
     * 查询成绩满分
     */
    ScoreDataMfVo queryById(Long mfId);

    /**
     * 查询成绩满分列表
     */
    TableDataInfo<ScoreDataMfVo> queryPageList(ScoreDataMfBo bo, PageQuery pageQuery);

    /**
     * 查询成绩满分列表
     */
    List<ScoreDataMfVo> queryList(ScoreDataMfBo bo);

    /**
     * 新增成绩满分
     */
    Boolean insertByBo(ScoreDataMfBo bo);

    /**
     * 修改成绩满分
     */
    Boolean updateByBo(ScoreDataMfBo bo);

    /**
     * 校验并批量删除成绩满分信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);
}
